com.airbnb.android.react.maps

## Class AirMapPolygonManager

- java.lang.Object
- - <any>
  - - com.airbnb.android.react.maps.AirMapPolygonManager

    public class AirMapPolygonManager
    extends <any>

### Constructor Summary

Constructors
Constructor and Description
`AirMapPolygonManager(ReactApplicationContext reactContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AirMapPolygon` `createViewInstance(ThemedReactContext context)`
`java.lang.String` `getName()`
`void` `setCoordinate(AirMapPolygon view, ReadableArray coordinates)`
`void` `setFillColor(AirMapPolygon view, int color)`
`void` `setGeodesic(AirMapPolygon view, boolean geodesic)`
`void` `setStrokeColor(AirMapPolygon view, int color)`
`void` `setStrokeWidth(AirMapPolygon view, float widthInPoints)`
`void` `setZIndex(AirMapPolygon view, float zIndex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirMapPolygonManager

    public AirMapPolygonManager(ReactApplicationContext reactContext)

### Method Detail

#### getName

    public java.lang.String getName()

#### createViewInstance

    public AirMapPolygon createViewInstance(ThemedReactContext context)

#### setCoordinate

    public void setCoordinate(AirMapPolygon view,
                              ReadableArray coordinates)

#### setStrokeWidth

    public void setStrokeWidth(AirMapPolygon view,
                               float widthInPoints)

#### setFillColor

    public void setFillColor(AirMapPolygon view,
                             int color)

#### setStrokeColor

    public void setStrokeColor(AirMapPolygon view,
                               int color)

#### setGeodesic

    public void setGeodesic(AirMapPolygon view,
                            boolean geodesic)

#### setZIndex

    public void setZIndex(AirMapPolygon view,
                          float zIndex)